### Function

# ECal ComponentAlarm new

since: 3.34

#### Declaration [src]

    ECalComponentAlarm*
    e_cal_component_alarm_new (
      void
    )

#### Description [src]

Creates a new empty `ECalComponentAlarm` structure. Free it with e_cal_component_alarm_free(), when no longer needed.

Available since: 3.34

#### Return value

Type: `ECalComponentAlarm`

A newly allocated `ECalComponentAlarm`.

The caller of the function takes ownership of the data, and is responsible for freeing it.